Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.domain
Interface IEssPrivilege

All Superinterfaces:
  IEssBaseObject

public interface IEssPrivilege
extends IEssBaseObject

The IEssPrivilege. (FOR FUTURE USE)

Field Summary
`static int` | `ESS_ACCESS_APPALL`
`static int` | `ESS_ACCESS_APPCREATE`
`static int` | `ESS_ACCESS_APPDESIGN`
`static int` | `ESS_ACCESS_CALC`
`static int` | `ESS_ACCESS_DBALL`
`static int` | `ESS_ACCESS_DBCREATE`
`static int` | `ESS_ACCESS_DBDESIGN`
`static int` | `ESS_ACCESS_FILTER`
`static int` | `ESS_ACCESS_NONE`
`static int` | `ESS_ACCESS_READ`
`static int` | `ESS_ACCESS_SUPER`
`static int` | `ESS_ACCESS_WRITE`
`static int` | `ESS_PRIV_APPCREATE`
`static int` | `ESS_PRIV_APPDESIGN`
`static int` | `ESS_PRIV_APPLOAD`
`static int` | `ESS_PRIV_CALC`
`static int` | `ESS_PRIV_DBCREATE`
`static int` | `ESS_PRIV_DBDESIGN`
`static int` | `ESS_PRIV_DBLOAD`
`static int` | `ESS_PRIV_NONE`
`static int` | `ESS_PRIV_READ`
`static int` | `ESS_PRIV_USERCREATE`
`static int` | `ESS_PRIV_WRITE`
`static int` | `PRIV_DOMAIN_TREE_READ` Privilege: Read domain tree.
`static int` | `PRIV_DOMAIN_TREE_READ_WRITE` Privilege: Read/Write domain tree.

Field Detail

### PRIV_DOMAIN_TREE_READ

    public static final int PRIV_DOMAIN_TREE_READ

  Privilege: Read domain tree.

  See Also:
    Constant Field Values

### PRIV_DOMAIN_TREE_READ_WRITE

    public static final int PRIV_DOMAIN_TREE_READ_WRITE

  Privilege: Read/Write domain tree.

  See Also:
    Constant Field Values

### ESS_PRIV_NONE

    public static final int ESS_PRIV_NONE

See Also:
  Constant Field Values

### ESS_PRIV_READ

    public static final int ESS_PRIV_READ

See Also:
  Constant Field Values

### ESS_PRIV_WRITE

    public static final int ESS_PRIV_WRITE

See Also:
  Constant Field Values

### ESS_PRIV_CALC

    public static final int ESS_PRIV_CALC

See Also:
  Constant Field Values

### ESS_PRIV_DBLOAD

    public static final int ESS_PRIV_DBLOAD

See Also:
  Constant Field Values

### ESS_PRIV_DBDESIGN

    public static final int ESS_PRIV_DBDESIGN

See Also:
  Constant Field Values

### ESS_PRIV_DBCREATE

    public static final int ESS_PRIV_DBCREATE

See Also:
  Constant Field Values

### ESS_PRIV_APPLOAD

    public static final int ESS_PRIV_APPLOAD

See Also:
  Constant Field Values

### ESS_PRIV_APPDESIGN

    public static final int ESS_PRIV_APPDESIGN

See Also:
  Constant Field Values

### ESS_PRIV_APPCREATE

    public static final int ESS_PRIV_APPCREATE

See Also:
  Constant Field Values

### ESS_PRIV_USERCREATE

    public static final int ESS_PRIV_USERCREATE

See Also:
  Constant Field Values

### ESS_ACCESS_NONE

    public static final int ESS_ACCESS_NONE

See Also:
  Constant Field Values

### ESS_ACCESS_READ

    public static final int ESS_ACCESS_READ

See Also:
  Constant Field Values

### ESS_ACCESS_WRITE

    public static final int ESS_ACCESS_WRITE

See Also:
  Constant Field Values

### ESS_ACCESS_CALC

    public static final int ESS_ACCESS_CALC

See Also:
  Constant Field Values

### ESS_ACCESS_DBDESIGN

    public static final int ESS_ACCESS_DBDESIGN

See Also:
  Constant Field Values

### ESS_ACCESS_DBCREATE

    public static final int ESS_ACCESS_DBCREATE

See Also:
  Constant Field Values

### ESS_ACCESS_APPDESIGN

    public static final int ESS_ACCESS_APPDESIGN

See Also:
  Constant Field Values

### ESS_ACCESS_APPCREATE

    public static final int ESS_ACCESS_APPCREATE

See Also:
  Constant Field Values

### ESS_ACCESS_FILTER

    public static final int ESS_ACCESS_FILTER

See Also:
  Constant Field Values

### ESS_ACCESS_DBALL

    public static final int ESS_ACCESS_DBALL

See Also:
  Constant Field Values

### ESS_ACCESS_APPALL

    public static final int ESS_ACCESS_APPALL

See Also:
  Constant Field Values

### ESS_ACCESS_SUPER

    public static final int ESS_ACCESS_SUPER

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD